experiments.droneControl

## Class AMALOM

- java.lang.Object
- - experiments.droneControl.AMALOM

    public class AMALOM
    extends java.lang.Object

The Class AMALOM.

### Constructor Summary

Constructors
Constructor and Description
`AMALOM(int nbrOfActions, int nbrOfPerceptions, double incrementValue, int memorySize, double precision, double followingCoefficient, ModelConstruction typeOfModelConstruction)` Instantiates a new amalom.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `adaptModel()` Adapt model.
`double[]` `convertPerceptHashMapToTab(java.util.HashMap<java.lang.String,java.lang.Double> map)` Convert percept hash map to tab.
`static java.lang.String[]` `copyTab(java.lang.String[] tab)` Copy tab.
`void` `diplayVariations(java.util.HashMap<java.lang.String,java.lang.Double> perceptVariations)` Diplay variations.
`void` `displayModel()` Display model.
`void` `displaySensibilities()` Display sensibilities.
`static void` `displayTab(double[] tab, java.lang.String info)` Display tab.
`AgentSensibility` `getAgentSensibility(int nbr)` Gets the agent sensibility.
`AgentSensibility` `getSensibilityAgent(java.lang.Object key)` Gets the sensibility agent.
`void` `learn(java.util.HashMap<java.lang.String,java.lang.Double> perceptVariations, java.util.HashMap<java.lang.String,java.lang.Double> actions)` Learn.
`double[]` `request(java.util.HashMap<java.lang.String,java.lang.Double> perceptVariations, java.util.HashMap<java.lang.String,java.lang.Double> goal)` Request.
`java.lang.String[]` `sort(java.lang.Double[] tab)` Sort.
`void` `stopWriting()` Stop writing.
`void` `updateSensibility(java.util.HashMap<java.lang.String,java.lang.Double> perceptVariations, java.util.HashMap<java.lang.String,java.lang.Double> actions)` Update sensibility.
`void` `updateSensibilityNormalizingTerms(java.util.HashMap<java.lang.String,java.lang.Double> perceptVariations, java.util.HashMap<java.lang.String,java.lang.Double> actions)` Update sensibility normalizing terms.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AMALOM

    public AMALOM(int nbrOfActions,
                  int nbrOfPerceptions,
                  double incrementValue,
                  int memorySize,
                  double precision,
                  double followingCoefficient,
                  ModelConstruction typeOfModelConstruction)

Instantiates a new amalom.

Parameters:
  `nbrOfActions` - the nbr of actions
  `nbrOfPerceptions` - the nbr of perceptions
  `incrementValue` - the increment value
  `memorySize` - the memory size
  `precision` - the precision
  `followingCoefficient` - the following coefficient
  `typeOfModelConstruction` - the type of model construction

### Method Detail

#### diplayVariations

    public void diplayVariations(java.util.HashMap<java.lang.String,java.lang.Double> perceptVariations)

Diplay variations.

Parameters:
  `perceptVariations` - the percept variations

#### learn

    public void learn(java.util.HashMap<java.lang.String,java.lang.Double> perceptVariations,
                      java.util.HashMap<java.lang.String,java.lang.Double> actions)

Learn.

Parameters:
  `perceptVariations` - the percept variations
  `actions` - the actions

#### updateSensibility

    public void updateSensibility(java.util.HashMap<java.lang.String,java.lang.Double> perceptVariations,
                                  java.util.HashMap<java.lang.String,java.lang.Double> actions)

Update sensibility.

Parameters:
  `perceptVariations` - the percept variations
  `actions` - the actions

#### getAgentSensibility

    public AgentSensibility getAgentSensibility(int nbr)

Gets the agent sensibility.

Parameters:
  `nbr` - the nbr
Returns:
  the agent sensibility

#### request

    public double[] request(java.util.HashMap<java.lang.String,java.lang.Double> perceptVariations,
                            java.util.HashMap<java.lang.String,java.lang.Double> goal)

Request.

Parameters:
  `perceptVariations` - the percept variations
  `goal` - the goal
Returns:
  the double[]

#### updateSensibilityNormalizingTerms

    public void updateSensibilityNormalizingTerms(java.util.HashMap<java.lang.String,java.lang.Double> perceptVariations,
                                                  java.util.HashMap<java.lang.String,java.lang.Double> actions)

Update sensibility normalizing terms.

Parameters:
  `perceptVariations` - the percept variations
  `actions` - the actions

#### adaptModel

    public void adaptModel()

Adapt model.

#### displayModel

    public void displayModel()

Display model.

#### displaySensibilities

    public void displaySensibilities()

Display sensibilities.

#### sort

    public java.lang.String[] sort(java.lang.Double[] tab)

Sort.

Parameters:
  `tab` - the tab
Returns:
  the string[]

#### displayTab

    public static void displayTab(double[] tab,
                                  java.lang.String info)

Display tab.

Parameters:
  `tab` - the tab
  `info` - the info

#### copyTab

    public static java.lang.String[] copyTab(java.lang.String[] tab)

Copy tab.

Parameters:
  `tab` - the tab
Returns:
  the string[]

#### getSensibilityAgent

    public AgentSensibility getSensibilityAgent(java.lang.Object key)

Gets the sensibility agent.

Parameters:
  `key` - the key
Returns:
  the sensibility agent

#### convertPerceptHashMapToTab

    public double[] convertPerceptHashMapToTab(java.util.HashMap<java.lang.String,java.lang.Double> map)

Convert percept hash map to tab.

Parameters:
  `map` - the map
Returns:
  the double[]

#### stopWriting

    public void stopWriting()

Stop writing.